com.independentsoft.exchange

## Class StreamingEventsResponse

- java.lang.Object
- - com.independentsoft.exchange.Response
  - - com.independentsoft.exchange.StreamingEventsResponse

-     public class StreamingEventsResponse
      extends Response

  The Class StreamingEventsResponse.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamingEventsResponse()` Instantiates a new streaming events response.
    `StreamingEventsResponse(java.io.InputStream inputStream)` Instantiates a new streaming events response.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConnectionStatus` | `getConnectionStatus()` Gets the connection status.
    `java.util.List<java.lang.String>` | `getErrorSubscriptionIds()` Gets the error subscription ids.
    `java.util.List<Notification>` | `getNotifications()` Gets the notifications.

    - ### Methods inherited from class com.independentsoft.exchange.Response

      `getDescriptiveLinkKey, getMessage, getResponseClass, getResponseCode, getServerVersionInfo, getXmlMessage, setServerVersionInfo`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamingEventsResponse

          public StreamingEventsResponse()

      Instantiates a new streaming events response.

    - #### StreamingEventsResponse

          public StreamingEventsResponse(java.io.InputStream inputStream)
                                  throws javax.xml.stream.XMLStreamException,
                                         java.text.ParseException

      Instantiates a new streaming events response.
      Parameters:
        `inputStream` - the input stream
      Throws:
        `javax.xml.stream.XMLStreamException` - the xML stream exception
        `java.text.ParseException` - the parse exception

  - ### Method Detail

    - #### getNotifications

          public java.util.List<Notification> getNotifications()

      Gets the notifications.
      Returns:
        the notifications

    - #### getErrorSubscriptionIds

          public java.util.List<java.lang.String> getErrorSubscriptionIds()

      Gets the error subscription ids.
      Returns:
        the error subscription ids

    - #### getConnectionStatus

          public ConnectionStatus getConnectionStatus()

      Gets the connection status.
      Returns:
        the connection status